"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@salesforce/core");
//Returns the info about a requested package
function getPackageInfo(packageJson, packageName) {
    //Find the default package or passed package as the parameter
    const packageDirectories = packageJson.get('packageDirectories') || [];
    let packageInfo;
    if (packageName) {
        packageInfo = packageDirectories.filter(it => { return it['package'] === packageName; })[0];
        if (packageInfo == undefined) {
            throw new core_1.SfdxError("Invalid Package");
        }
    }
    else
        throw new core_1.SfdxError("Package Name is empty");
    return packageInfo;
}
exports.getPackageInfo = getPackageInfo;
//Returns the info about a requested package
function getDefaultPackageInfo(packageJson) {
    //Find the default package or passed package as the parameter
    const packageDirectories = packageJson.get('packageDirectories') || [];
    let packageInfo;
    packageInfo = packageDirectories.filter(it => { return it['default'] == true; })[0];
    if (packageInfo == undefined) {
        throw new core_1.SfdxError("Default Package not found");
    }
    return packageInfo;
}
exports.getDefaultPackageInfo = getDefaultPackageInfo;
//# sourceMappingURL=getPackageInfo.js.map